summaryrefslogtreecommitdiff
path: root/qa/736
diff options
context:
space:
mode:
Diffstat (limited to 'qa/736')
-rwxr-xr-xqa/73636
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/736 b/qa/736
new file mode 100755
index 0000000..7db8bcc
--- /dev/null
+++ b/qa/736
@@ -0,0 +1,36 @@
+#!/bin/sh
+# PCP QA Test No. 736
+# pmlogrewrite - indom duplicate clause testing
+#
+# Copyright (c) 2013 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+cat <<End-of-File >$tmp.config
+indom 29.2 { indom -> duplicate 99.2 }
+metric sample.bucket { indom -> 99.* pmid -> 99.*.* }
+End-of-File
+
+# real QA test starts here
+pmlogrewrite -w -c $tmp.config src/ok-bigbin $tmp
+
+pmdumplog -z -a src/ok-bigbin >$tmp.old
+pmdumplog -z -a $tmp >$tmp.new
+
+diff $tmp.old $tmp.new
+
+# success, all done
+status=0
+
+exit